# An Exercise in Open Data: Triple Axis Data on Si single crystal

[![DOI](https://img.shields.io/badge/doi-10.6084/m9.figshare.13130270-blue.svg?style=flat&labelColor=whitesmoke&logo=data%3Aimage%2Fpng%3Bbase64%2CiVBORw0KGgoAAAANSUhEUgAAAB8AAAAfCAYAAAAfrhY5AAAJsklEQVR42qWXd1DTaRrHf%2BiB2Hdt5zhrAUKz4IKEYu9IGiGFFJJQ0gkJCAKiWFDWBRdFhCQUF3UVdeVcRQEBxUI3yY9iEnQHb3bdW1fPubnyz%2F11M7lvEHfOQee2ZOYzPyDv%2B3yf9%2Fk95YX4fx%2BltfUt08GcFEuPR4U9hDDZ%2FVngIlhb%2FSiI6InkTgLzgDcgfvtnovhH4BzoVlrbwr55QnhCtBW4QHXnFrZbPBaQoBh4%2FSYH2EnpBEtqcDMVzB93wA%2F8AFwa23XFGcc8CkT3mxz%2BfXWtq9T9IQlLIXYEuHojudb%2BCM7Hgdq8ydi%2FAHiBXyY%2BLjwFlAEnS6Jnar%2FvnQVhvdzasad0eKvWZKe8hvDB2ofLZ%2FZEcWsh%2BhyIuyO5Bxs2iZIE4nRv7NWAb0EO8AC%2FWPxjYAWuOEX2MSXZVgPxzmRL3xKz3ScGpx6p6QnOx4mDIFqO0w6Q4fEhO5IzwxlSwyD2FYHzwAW%2BAZ4fEsf74gCumykwNHskLM7taQxLYjjIyy8MUtraGhTWdkfhkFJqtvuVl%2F9l2ZquDfEyrH8B0W06nnpH3JtIyRGpH1iJ6SfxDIHjRXHJmdQjLpfHeN54gnfFx4W9QRnovx%2FN20aXZeTD2J84hn3%2BqoF2Tqr14VqTPUCIcP%2B5%2Fly4qC%2BUL3sYxSvNj1NwsVYPsWdMUfomsdkYm3Tj0nbV0N1wRKwFe1MgKACDIBdMAhPE%2FwicwNWxll8Ag40w%2BFfhibJkGHmutjYeQ8gVlaN%2BjO51nDysa9TwNUFMqaGbKdRJZFfOJSp6mkRKsv0rRIpEVWjAvyFkxNOEpwvcAVPfEe%2Bl8ojeNTx3nXLBcWRrYGxSRjDEk0VlpxYrbe1ZmaQ5xuT0u3r%2B2qe5j0J5uytiZPGsRL2Jm32AldpxPUNJ3jmmsN4x62z1cXrbedXBQf2yvIFCeZrtyicZZG2U2nrrBJzYorI2EXLrvTfCSB43s41PKEvbZDEfQby6L4JTj%2FfIwam%2B4%2BwucBu%2BDgNK05Nle1rSt9HvR%2FKPC4U6LTfvUIaip1mjIa8fPzykii23h2eanT57zQ7fsyYH5QjywwlooAUcAdOh5QumgTHx6aAO7%2FL52eaQNEShrxfhL6albEDmfhGflrsT4tps8gTHNOJbeDeBlt0WJWDHSgxs6cW6lQqyg1FpD5ZVDfhn1HYFF1y4Eiaqa18pQf3zzYMBhcanlBjYfgWNayAf%2FASOgklu8bmgD7hADrk4cRlOL7NSOewEcbqSmaivT33QuFdHXj5sdvjlN5yMDrAECmdgDWG2L8P%2BAKLs9ZLZ7dJda%2BB4Xl84t7QvnKfvpXJv9obz2KgK8dXyqISyV0sXGZ0U47hOA%2FAiigbEMECJxC9aoKp86re5O5prxOlHkcksutSQJzxZRlPZmrOKhsQBF5zEZKybUC0vVjG8PqOnhOq46qyDTDnj5gZBriWCk4DvXrudQnXQmnXblebhAC2cCB6zIbM4PYgGl0elPSgIf3iFEA21aLdHYLHUQuVkpgi02SxFdrG862Y8ymYGMvXDzUmiX8DS5vKZyZlGmsSgQqfLub5RyLNS4zfDiZc9Edzh%2FtCE%2BX8j9k%2FqWB071rcZyMImne1SLkL4GRw4UPHMV3jjwEYpPG5uW5fAEot0aTSJnsGAwHJi2nvF1Y5OIqWziVCQd5NT7t6Q8guOSpgS%2Fa1dSRn8JGGaCD3BPXDyQRG4Bqhu8XrgAp0yy8DMSvvyVXDgJcJTcr1wQ2BvFKf65jqhvmxXUuDpGBlRvV36XvGjQzLi8KAKT2lYOnmxQPGorURSV0NhyTIuIyqOmKTMhQ%2BieEsgOgpc4KBbfDM4B3SIgFljvfHF6cef7qpyLBXAiQcXvg5l3Iunp%2FWv4dH6qFziO%2BL9PbrimQ9RY6MQphEfGUpOmma7KkGzuS8sPUFnCtIYcKCaI9EXo4HlQLgGrBjbiK5EqMj2AKWt9QWcIFMtnVvQVDQV9lXJJqdPVtUQpbh6gCI2Ov1nvZts7yYdsnvRgxiWFOtNJcOMVLn1vgptVi6qrNiFOfEjHCDB3J%2BHDLqUB77YgQGwX%2Fb1eYna3hGKdlqJKIyiE4nSbV8VFgxmxR4b5mVkkeUhMgs5YTi4ja2XZ009xJRHdkfwMi%2BfocaancuO7h%2FMlcLOa0V%2FSw6Dq47CumRQAKhgbOP8t%2BMTjuxjJGhXCY6XpmDDFqWlVYbQ1aDJ5Cptdw4oLbf3Ck%2BdWkVP0LpH7s9XLPXI%2FQX8ws%2Bj2In63IcRvOOo%2BTTjiN%2BlssfRsanW%2B3REVKoavBOAPTXABW4AL7e4NygHdpAKBscmlDh9Jysp4wxbnUNna3L3xBvyE1jyrGIkUHaqQMuxhHElV6oj1picvgL1QEuS5PyZTEaivqh5vUCKJqOuIgPFGESns8kyFk7%2FDxyima3cYxi%2FYOQCj%2F%2B9Ms2Ll%2Bhn4FmKnl7JkGXQGDKDAz9rUGL1TIlBpuJr9Be2JjK6qPzyDg495UxXYF7JY1qKimw9jWjF0iV6DRIqE%2B%2FeWG0J2ofmZTk0mLYVd4GLiFCOoKR0Cg727tWq981InYynvCuKW43aXgEjofVbxIqrm0VL76zlH3gQzWP3R3Bv9oXxclrlO7VVtgBRpSP4hMFWJ8BrUSBCJXC07l40X4jWuvtc42ofNCxtlX2JH6bdeojXgTh5TxOBKEyY5wvBE%2BACh8BtOPNPkApjoxi5h%2B%2FFMQQNpWvZaMH7MKFu5Ax8HoCQdmGkJrtnOiLHwD3uS5y8%2F2xTSDrE%2F4PT1yqtt6vGe8ldMBVMEPd6KwqiYECHDlfbvzphcWP%2BJiZuL5swoWQYlS%2Br7Yu5mNUiGD2retxBi9fl6RDGn4Ti9B1oyYy%2BMP5G87D%2FCpRlvdnuy0PY6RC8BzTA40NXqckQ9TaOUDywkYsudxJzPgyDoAWn%2BB6nEFbaVxxC6UXjJiuDkW9TWq7uRBOJocky9iMfUhGpv%2FdQuVVIuGjYqACbXf8aa%2BPeYNIHZsM7l4s5gAQuUAzRUoT51hnH3EWofXf2vkD5HJJ33vwE%2FaEWp36GHr6GpMaH4AAPuqM5eabH%2FhfG9zcCz4nN6cPinuAw6IHwtvyB%2FdO1toZciBaPh25U0ducR2PI3Zl7mokyLWKkSnEDOg1x5fCsJE9EKhH7HwFNhWMGMS7%2BqxyYsbHHRUDUH4I%2FAheQY7wujJNnFUH4KdCju83riuQeHU9WEqNzjsJFuF%2FdTDAZ%2FK7%2F1WaAU%2BAWymT59pVMT4g2AxcwNa0XEBDdBDpAPvgDIH73R25teeuAF5ime2Ul0OUIiG4GpSAEJeYW9wDTf43wfwHgHLKJoPznkwAAAABJRU5ErkJggg%3D%3D)](https://doi.org/10.6084/m9.figshare.13130270)
[![made-with-python](https://img.shields.io/badge/Made%20with-Python-1f425f.svg)](https://www.python.org/) [![made-with-latex](https://img.shields.io/badge/Made%20with-LaTeX-1f425f.svg)](https://www.latex-project.org/) 


This repository is created as an example of good open data practice and F.A.I.R. principles. Its direct copy is archived on [Figshare](https://figshare.com/) under [doi:10.6084/m9.figshare.13130270](https://doi.org/10.6084/m9.figshare.13130270). The full docker image containing this repository with all dependencies is published on [Figshare doi:10.6084/m9.figshare.13133240](https://doi.org/10.6084/m9.figshare.13133240) as well.

The easiest way of running data analysis is to use Binder with this repository: [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/me2d09/silicon/main?filepath=silicon.ipynb)  
Alternativelly you can use Binder with [full Docker image](https://doi.org/10.6084/m9.figshare.13133240).

We are using fully non-restrictive and opened [![CC-0 license](https://img.shields.io/badge/License-CC--0-blue.svg)](https://creativecommons.org/licenses/by-nd/4.0). Although CC0 does not legally require users of the data to cite the source, it does not affect the ethical norms for attribution in scientific and research communities. The ideal way of using our code and latex manuscript is to fork it on github.

## Authors and acknowledgement

This repository including paper and data evaluation script are authored by all students attending the [Czech-Bavarian Mini-school 2020](https://mini-school.eu/):  
[Lukas Beddrich](https://github.com/LukasBeddrich), [Alexander Book](https://github.com/TUM-E21-ThinFilms), [Xaver Simon Brems](https://github.com/xaverbrems), [Michał Dembski-Villalta](https://github.com/MichalDemVill), [Luis Flacke](https://github.com/LFla), [Henrik Gabold](https://github.com/HGabold), [Marianna Gerina](https://github.com/MariannaGe), [Andrej Kancko](), [Soňa Kohúteková](https://github.com/sonakoh), [Tereza Košutová](https://github.com/kosutova), [Petr Král](https://github.com/kralpetr), [Anastasiia Murmiliuk](https://github.com/anastasiiamur), [Lukáš Nowak](), [Anastasiia Pylypets](https://github.com/AnastasiiaPy), [Daniel Staško](https://github.com/DanielStasko), [Ran Tang](https://github.com/rtang-sidney), [Michal Vančík](), [Lukas Vogl](https://github.com/lukasmvogl)

as well as the mini-school organizers:
[Petr Čermák](https://github.com/me2d09) and [Johanna K. Jochum](https://github.com/jjochum87)

We would like to acknowledge all the students who measured [neutron data][1] during the Hercules practical course:  
Dellea Greta, Deng Yue, Dietl Christopher, Djurado David, Gambino Marianna, Hepting Matthias, Inkinen Juho, Jafari Atefeh, Lefrancois Emilie, Lopes Selvati Ana Carolina, Panahi Hamed, Pedersen Martin Nors, Pradip Ramu, Ranieri Umbertoluca, Rossi Matteo, Schatte Sarah, Stana Markus, Timosenko Janis, Voneshen David And Zbiri Mohamed. And especially their local contact **Paul Steffens**.

We also acknowledge the BTHA agency for providing us with financial support for the Czech Bavarian Mini-school on large-scale facilities and open data. Last but not least we acknowledge the [Institute Laue-Langevin](https://www.ill.eu/) for opening the data (it is still very rare :cry:) and the IN3 spectrometer.

## Technical details and file description

A Jupyter notebook [silicon.ipynb](https://github.com/me2d09/silicon/blob/main/silicon.ipynb) contains all the data evaluation. If run, it will generate all figures used in [latex manuscript](https://github.com/me2d09/silicon/blob/main/main.tex).  The IPython notebook also tries to download the original data from the [data.ill.fr][1] server. However this can fail and therefore a copy of the data is placed in the `rawdata` folder. A detailed description of the analysis can be found in the IPython notebook and/or in the paper itself.

Latex file is automatically build, see [main.yml](https://github.com/me2d09/silicon/blob/main/.github/workflows/main.yml). Latest generated PDF can be downloaded as artifacts from lastest run in [Github Actions](https://github.com/me2d09/silicon/actions/).

## File description

File | description
--- | ---
.github/workflows | folder conatining Github actions workflow for automatic compilation of the latex PDF paper.
rawdata/ | copy of the all datafiles from the [original experiment][1]
.gitignore | gitignore file for ignoring latex artifacts
LICENSE | CC0 1.0 Universal licence, most free license!
README.md | this document
bibliography.bib | bibtex bibliographzy for latex manuscript
dispersion.eps | image generated by silicon.ipynb and used in manuscript
energy-scan.eps | image generated by silicon.ipynb and used in manuscript
main.tex | latex source code of our manuscript
phonon.png | part of Figure 3 from [Aouissi paper](https://doi.org/10.1103/PhysRevB.74.054302)
requirements.txt | python requirements, which binder will use
silicon.ipynb | entire automatic data evaluation is here

[1]: (https://doi.ill.fr/10.5291/ILL-DATA.TEST-2385)
